<?php

$CONFIG = getConfig();

if (!USER_ID && $CONFIG['allow_unlogged_access'] == 0) {
    $redirect = $redirect . "login.php";
    header("Location: $redirect");
    exit();
}

$lang = getLanguage();

$pid  = getInput()->get->getInt('pos');
$pid  = $pid > 0 ? $pid : - $pid;

$cover        = getData()->get('cover');
$picture      = getData()->get('picture');
$album        = getData()->get('album');
$category     = getData()->get('category');

$aid     = $picture->getField('aid', $pid);
$aname   = $album->getField('title', $aid);
$cid     = $album->getField('category', $aid);
$cname   = $category->getField('name', $cid);

if (!$picture->checkExists($pid)) {
    cpg_die(ERROR, $lang["Picture doesn't exists."], __FILE__, __LINE__);
}

// end this


$CURRENT_PIC_DATA   = $picture->getRow($pid);
$CURRENT_ALBUM_DATA = $album->getRow($CURRENT_PIC_DATA['aid']);
$normal = get_pic_url($CURRENT_PIC_DATA, 'normal');
$full   = get_pic_url($CURRENT_PIC_DATA);

if (!$CURRENT_PIC_DATA['title']) $CURRENT_PIC_DATA['title'] = $CURRENT_PIC_DATA['filename'];

$dlLink = "index.php?file=download/picture&pid=".$CURRENT_PIC_DATA['pid']."&pr=".md5($CONFIG['fullpath'] . $CURRENT_PIC_DATA['filepath'] . $CURRENT_PIC_DATA['filename'])."&method=dl";

// $normal = file_exists($normal) ? $normal : $full;

$covers = $cover->getCover($pid);

$caname = str_replace('#', '', $aname);

pageheader($lang['Display Cover']);
starttable(-1);
echo '<tr><td class="tableh1"><span class="statlink"><b>';
echo sprintf($lang['%s (%s)'], 
    "<a href=\"index.php?file=kak/index&module=replacement&m=displaycover&pos=-{$pid}\">{$covers['title']}</a>",
    "<a href=\"index.php?cat={$cid}\">{$cname}</a>"
);
echo '</b></span></td></tr>';
endtable();
starttable(-1);

global $lastup_date_fmt;
if ($CURRENT_PIC_DATA['filesize'] > 1024 * 1024)
    $size   = round($CURRENT_PIC_DATA['filesize'] / (1024 * 1024), 1) .' '. $lang['MB'];
else
    $size   = round($CURRENT_PIC_DATA['filesize'] / 1024, 0) .' '. $lang['KB'];
$downloads  = $CURRENT_PIC_DATA['downloads'];
//$rating     = sprintf($lang['%s/5 - %s vote(s)'], $CURRENT_PIC_DATA['pic_rating']/2000, $CURRENT_PIC_DATA['votes']);
$rating     = (int)(round($CURRENT_PIC_DATA['pic_rating'] / 2000));
$rating     = "<img src=\"images/rating{$rating}.gif\" border=\"0\" />";
$rating     = sprintf($lang['%s (%s votes)'], $rating, $CURRENT_PIC_DATA['votes']);
$dimension  = sprintf($lang['%sx%s'], $CURRENT_PIC_DATA['pwidth'], $CURRENT_PIC_DATA['pheight']);
$uploaded   = sprintf($lang['%s by %s'],
                        localised_date($CURRENT_PIC_DATA['ctime'], $lastup_date_fmt),
                        "<a href=\"profile.php?uid={$CURRENT_PIC_DATA['owner_id']}\">{$CURRENT_PIC_DATA['owner_name']}</a>"
                    );
$picmenu = '';
if ($CONFIG['report_post']) {
    $picmenu .= <<<EOT
        <a href="report_file.php?&pid={$CURRENT_PIC_DATA['pid']}" class="admin_menu">{$lang['Report to admin']}</a> 
EOT;
}
if (GALLERY_ADMIN_MODE) {
    $picmenu .= <<<EOT
<a href="index.php?file=kak/index&module=replacement&m=editOneCover&coverid={$CURRENT_PIC_DATA['cover_id']}" class="admin_menu">{$lang['Edit Cover Title']}</a> 
EOT;
}
if ((USER_ADMIN_MODE && $CURRENT_ALBUM_DATA['category'] == FIRST_USER_CAT + USER_ID) || ($CONFIG['users_can_edit_pics'] && $CURRENT_PIC_DATA['owner_id'] == USER_ID && USER_ID != 0) || GALLERY_ADMIN_MODE) {    
    $picmenu .= <<<EOT
<a href="editOnePic.php?id={$CURRENT_PIC_DATA['pid']}&amp;what=picture"  class="admin_menu">{$lang['Edit Cover']}</a> 
<a href="delete.php?id={$CURRENT_PIC_DATA['pid']}&amp;what=picture"  class="admin_menu" onclick="return confirm('{$lang['Are you sure that you want to delete this picture?']}'); return false; ">{$lang['Delete Cover']}</a>
EOT;
}

echo <<<EOT
<tr>
    <td class="tableh1" colspan="2"><h2>{$CURRENT_PIC_DATA['title2']}</h2></td>
</tr>
<tr>
    <td class="tableb" align="left">
        <table boder="0" cellpadding="0" cellpadding="2">
            <tr>
                <td>
                    <img src="{$normal}" class="image" border="1" />
                    <br /><br />
                    <center>{$picmenu}</center>
                </td>
                <td>
                    <table width="100%" class="maintable" border="0" cellspacing="0" cellpadding="0" style="border: 1px solid black;">
                        <tr>
                            <td class="tableb"><b>{$lang['Download']}</b></td>
                            <td class="tableb"><a href="{$dlLink}"><img src="images/download5.gif" alt="{$lang['download now']}" border="0"></a></td>
                        </tr>            
                    <tr>
                        <td class="tableb"><b>{$lang['Part']}</b></td>
                        <td class="tableb">{$covers['type']}</td>
                    </tr>
                    <tr>
                        <td class="tableb"><b>{$lang['Dimensions']}</b></td>
                        <td class="tableb">{$dimension}</td>
                    </tr>
                    <tr>
                        <td class="tableb"><b>{$lang['Size']}</b></td>
                        <td class="tableb">{$size}</td>
                    </tr>
                    <tr>
                        <td class="tableb"><b>{$lang['Downloads']}</b></td>
                        <td class="tableb">{$downloads}</td>
                    </tr>           
                    <tr>
                        <td class="tableb"><b>{$lang['Uploaded']}</b></td>
                        <td class="tableb">{$uploaded}</td>
                    </tr>
                    <tr>
                        <td class="tableb"><b>{$lang['Quality Rating']}</b></td>
                        <td class="tableb">{$rating}</td>
                    </tr>
                </table>
            </td>
        </tr>
        </table>
    </td>
</tr>
EOT;
endtable();
if (count($covers['types']) > 1) {
starttable(-1, '<h2>'.$lang['Other Available Parts'].'</h2>', count($covers['types']));
echo <<<EOT
<tr>
    <td class="tableb" align="center">
        <table border="0" cellspacing="1" cellpadding="0">
        <tr>
EOT;

$otherpart = "";
$count     = 0;
foreach ($covers['types'] as $row) {
    if ($covers['type'] != $row[1]) {
        $count++;
        if ($count % 6 == 1) echo "</tr><tr>";
        $thumb = get_pic_url($row[0], 'thumb');
        echo "<td class=\"tableb\" align=\"center\"><a href=\"index.php?file=kak/index&module=replacement&m=displaycover&pos=-{$row[0]['pid']}\"><img src=\"{$thumb}\" border=\"0\" /></a><br /><b>{$row[1]}</b></td>";
    }
}

echo <<<EOT
    </tr>
        </table>
    </td>
</tr>
EOT;
endtable();
}
pagefooter();

?>
